@echo off
echo Enter only numerial part of armor ID  (e.g. for pl200, only enter 200)
set /p cur=Input current armor ID: 
set /p id=Input new armor ID: 
SET var=%cd%

for /f "tokens=*" %%f in ('dir /s /b /ad "f"') do (
cd %%f
ren "pl%cur%" "pl%id%" >nul 2>nul
cd pl%id%
ren f_arm* f_arm%id%*.* >nul 2>nul
ren f_body* f_body%id%*.* >nul 2>nul
ren f_leg* f_leg%id%*.* >nul 2>nul
ren f_wst* f_wst%id%*.* >nul 2>nul
ren f_helm* f_helm%id%*.* >nul 2>nul
)

echo DONE!
timeout /t 3
exit